Index: quintagroup.pingtool/trunk/README.txt
===================================================================
--- quintagroup.pingtool/trunk/README.txt	(revision 714)
+++ quintagroup.pingtool/trunk/README.txt	(revision 885)
@@ -1,14 +1,15 @@
 Introduction
 ============
-
 quintagroup.pingtool is a simple tool to enable pinging of external feed agregators for Plone 3.1.x
 
-DEPENDS on:
+DEPENDS on
+----------
+* XMLRPCMethod
 
-   * XMLRPCMethod
+INSTALLATION
+------------
+see docs/INSTALL.txt for instructions.
 
-
-INSTALLATION:
-
-1. Install it with quickinstaller in Plone.
-
+Supported Plone versions
+------------------------
+* Plone 3.1
Index: quintagroup.pingtool/trunk/docs/INSTALL.txt
===================================================================
--- quintagroup.pingtool/trunk/docs/INSTALL.txt	(revision 714)
+++ quintagroup.pingtool/trunk/docs/INSTALL.txt	(revision 885)
@@ -1,24 +1,22 @@
-quintagroup.pingtool Installation
-==========================
+Installation
+============
 
-To install quintagroup.pingtool into the global Python environment (or a workingenv),
-using a traditional Zope 2 instance, you can do this:
+To install quintagroup.pingtool into the global Python environment (or a workingenv), using a traditional Zope 2 instance, you can do this:
 
- * When you're reading this you have probably already run 
-   ``easy_install quintagroup.pingtool``. Find out how to install setuptools
-   (and EasyInstall) here:
-   http://peak.telecommunity.com/DevCenter/EasyInstall
+* Copy ``quintagroup`` folder to the ``/path/to/instance/lib/python`` directory of your Zope instance.
 
- * Create a file called ``quintagroup.pingtool-configure.zcml`` in the
-   ``/path/to/instance/etc/package-includes`` directory.  The file
-   should only contain this::
+* Create a file called ``quintagroup.pingtool-configure.zcml`` in the ``/path/to/instance/etc/package-includes`` directory of your Zope instance.
+  The file should only contain this::
 
-       <include package="quintagroup.pingtool" />
+  <include package="quintagroup.pingtool" />
 
+* Restart the Zope server, for example with the following command in the terminal::
 
-Alternatively, if you are using zc.buildout and the plone.recipe.zope2instance
-recipe to manage your project, you can do this:
+   $ ./bin/zopectl restart
 
- * Add ``quintagroup.pingtool`` to the list of eggs to install, e.g.:
+Alternatively, if you are using zc.buildout and 
+the plone.recipe.zope2instance recipe to manage your project, you can do this:
+
+* Add ``quintagroup.pingtool`` to the list of eggs to install.::
  
     [buildout]
@@ -28,5 +26,5 @@
         quintagroup.pingtool
         
-  * Tell the plone.recipe.zope2instance recipe to install a ZCML slug:
+* Tell the plone.recipe.zope2instance recipe to install a ZCML slug::
   
     [instance]
@@ -36,8 +34,11 @@
         quintagroup.pingtool
         
-  * Re-run buildout, e.g. with:
+* Re-run buildout, e.g. with::
   
     $ ./bin/buildout
         
-You can skip the ZCML slug if you are going to explicitly include the package
-from another package's configure.zcml file.
+* Restart the Zope server, e.g with the following command in the terminal::
+
+   $ ./bin/instance restart
+
+Install quintagroup.pingtool with quickinstaller in Plone.
Index: quintagroup.pingtool/trunk/setup.py
===================================================================
--- quintagroup.pingtool/trunk/setup.py	(revision 714)
+++ quintagroup.pingtool/trunk/setup.py	(revision 885)
@@ -12,6 +12,7 @@
       version=read("quintagroup", "pingtool", "version.txt"),
       description="quintagroup.pingtool is a simple tool to enable pinging of external feed agregators for Plone 3.1.x",
-      long_description=read("README.txt") + "\n" +
-                       read("docs", "HISTORY.txt"),
+      long_description=read("README.txt") + "\n" + \
+                       read("docs", "INSTALL.txt")+ "\n" + \
+		       read("docs", "HISTORY.txt"),
       # Get more strings from http://www.python.org/pypi?%3Aaction=list_classifiers
       classifiers=[