Index: /quintagroup.plonecomments/trunk/quintagroup/plonecomments/setuphandlers.py
===================================================================
--- /quintagroup.plonecomments/trunk/quintagroup/plonecomments/setuphandlers.py	(revision 964)
+++ /quintagroup.plonecomments/trunk/quintagroup/plonecomments/setuphandlers.py	(revision 965)
@@ -1,3 +1,4 @@
 from Products.CMFCore.utils import getToolByName
+from config import LOGGER
 
 def install(context):
@@ -14,5 +15,5 @@
 
     portal = context.getSite()
-    logger = context.getLogger('qPloneComments')
+    logger = context.getLogger(LOGGER)
 
     # Add 'DiscussionManagers' group
@@ -39,4 +40,9 @@
 
     # Add additional setup code here
+
+    portal = context.getSite()
+    logger = context.getLogger(LOGGER)
+
     portal_conf=getToolByName(context.getSite(),'portal_controlpanel')
     portal_conf.unregisterConfiglet('prefs_comments_setup_form')
+    logger.info('Unregister configlet prefs_comments_setup_form. ')
Index: /quintagroup.plonecomments/trunk/quintagroup/plonecomments/tests/base.py
===================================================================
--- /quintagroup.plonecomments/trunk/quintagroup/plonecomments/tests/base.py	(revision 964)
+++ /quintagroup.plonecomments/trunk/quintagroup/plonecomments/tests/base.py	(revision 965)
@@ -1,11 +1,16 @@
+import transaction
+
 from Products.Five import zcml, fiveconfigure
 
 from Testing import ZopeTestCase as ztc
+from AccessControl.SecurityManagement import newSecurityManager, \
+    noSecurityManager
 
 from Products.PloneTestCase import PloneTestCase as ptc
-from Products.PloneTestCase.layer import onsetup
+from Products.PloneTestCase.layer import onsetup, PloneSiteLayer
 from Products.CMFCore.utils import getToolByName
 
 from config import PRODUCT
+
 
 @onsetup
@@ -37,9 +42,38 @@
 ptc.setupPloneSite(products=[PRODUCT])
 
+
 class TestCase(ptc.PloneTestCase):
     """Base class used for test cases
     """
 
+
 class FunctionalTestCase(ptc.FunctionalTestCase):
     """Test case class used for functional (doc-)tests
     """
+
+
+class TestErase(TestCase):
+    # we use here nested layer for not to make an impact on
+    # the rest test cases, this test case check uninstall procedure
+    # thus it has to uninstall package which will be required to
+    # be installed for other test cases
+    class layer(PloneSiteLayer):
+        @classmethod
+        def setUp(cls):
+            app = ztc.app()
+            portal = app.plone
+
+            # elevate permissions
+            user = portal.getWrappedOwner()
+            newSecurityManager(None, user)
+
+            tool = getToolByName(portal, 'portal_quickinstaller')
+            if tool.isProductInstalled(PRODUCT):
+                tool.uninstallProducts([PRODUCT,])
+
+            # drop elevated perms
+            noSecurityManager()
+
+            transaction.commit()
+            ztc.close(app)
+
Index: /quintagroup.plonecomments/trunk/quintagroup/plonecomments/tests/testQPloneCommentsUninstall.py
===================================================================
--- /quintagroup.plonecomments/trunk/quintagroup/plonecomments/tests/testQPloneCommentsUninstall.py	(revision 964)
+++ /quintagroup.plonecomments/trunk/quintagroup/plonecomments/tests/testQPloneCommentsUninstall.py	(revision 965)
@@ -4,36 +4,8 @@
 
 import unittest
-import transaction
-from AccessControl.SecurityManagement import newSecurityManager, \
-    noSecurityManager
-from Products.PloneTestCase.layer import PloneSiteLayer
 
-from base import getToolByName, TestCase, ztc
-from config import *
+from base import getToolByName, TestErase
+from config import PRODUCT, PRODUCT_SKIN_NAME, CONFIGLET_ID, PROPERTY_SHEET
 
-class TestErase(TestCase):
-    # we use here nested layer for not to make an impact on
-    # the rest test cases, this test case check uninstall procedure
-    # thus it has to uninstall package which will be required to
-    # be installed for other test cases
-    class layer(PloneSiteLayer):
-        @classmethod
-        def setUp(cls):
-            app = ztc.app()
-            portal = app.plone
-            
-            # elevate permissions
-            user = portal.getWrappedOwner()
-            newSecurityManager(None, user)
-
-            tool = getToolByName(portal, 'portal_quickinstaller')
-            if tool.isProductInstalled(PRODUCT):
-                tool.uninstallProducts([PRODUCT,])
-            
-            # drop elevated perms
-            noSecurityManager()
-            
-            transaction.commit()
-            ztc.close(app)
 
 class TestUninstallation(TestErase):
Index: /quintagroup.plonecomments/trunk/quintagroup/plonecomments/tests/tests.py
===================================================================
--- /quintagroup.plonecomments/trunk/quintagroup/plonecomments/tests/tests.py	(revision 964)
+++ /quintagroup.plonecomments/trunk/quintagroup/plonecomments/tests/tests.py	(revision 965)
@@ -5,24 +5,5 @@
 from Testing import ZopeTestCase as ztc
 
-from Products.Five import zcml
-from Products.Five import fiveconfigure
-from Products.PloneTestCase import PloneTestCase as ptc
-from Products.PloneTestCase.layer import PloneSite
-ptc.setupPloneSite()
-
-import quintagroup.plonecomments
-
-class TestCase(ptc.PloneTestCase):
-    class layer(PloneSite):
-        @classmethod
-        def setUp(cls):
-            fiveconfigure.debug_mode = True
-            ztc.installPackage(quintagroup.plonecomments)
-            fiveconfigure.debug_mode = False
-
-        @classmethod
-        def tearDown(cls):
-            pass
-
+from base import getToolByName, TestCase
 
 def test_suite():