Index: /quintagroup.plonecomments/trunk/README.txt
===================================================================
--- /quintagroup.plonecomments/trunk/README.txt	(revision 975)
+++ /quintagroup.plonecomments/trunk/README.txt	(revision 976)
@@ -1,2 +1,3 @@
+============
 Introduction
 ============
@@ -8,92 +9,101 @@
 commenting mechanism in Plone.
 
+.. contents::
+
+
 Features
---------
+============
 
-  * Notify admin about comment posted
+- Notify admin about comment posted
 
-  * Notify commentator about his comment aproval
+- Notify commentator about his comment aproval
 
-  * Notify author of parent comment about new follow up added
+- Notify author of parent comment about new follow up added
 
-  * Moderation of comments, approval of comments
+- Moderation of comments, approval of comments
 
-  * Anonymous commenting
+- Anonymous commenting
 
-  * Added Name field to comment form, it is required for anonymous comments
+- Added Name field to comment form, it is required for anonymous comments
 
-  * Article author can be notified about new comment after the approval by reviewer
+- Article author can be notified about new comment after the approval by reviewer
 
-  * List of recent comments for more comfortable moderation
+- List of recent comments for more comfortable moderation
 
-  * Configlet that allow:
+- Configlet that allow:
 
-    o Turning on/off Moderation
+  o Turning on/off Moderation
 
-    o Turning on/off Manager notification
+  o Turning on/off Manager notification
 
-    o Turning on/off Editor notification
+  o Turning on/off Editor notification
 
-    o Turning on/off Anonymous Commenting
+  o Turning on/off Anonymous Commenting
 
-    o Configure admin e-mail for notifications
+  o Configure admin e-mail for notifications
 
-    o Configure notification subject
+  o Configure notification subject
 
-  * qPloneCaptcha integrated (needs the qPloneCaptcha to be installed)
+- qPloneCaptcha integrated (needs the qPloneCaptcha to be installed)
+
 
 Notes
---------
+============
 
-  Comments moderation is implemented with involvement of two stage workflow.
-  Comments are created in "private" state and visible only to DiscussionManager
-  group of users.
+Comments moderation is implemented with involvement of two stage workflow.
+Comments are created in "private" state and visible only to DiscussionManager
+group of users.
 
-  To differentiate between logged-in (registered) commentors and Anonymous
-  commentors that pretend to be one person or other one, we use Boldness of
-  name. The Comment author is in bold when posted by logged in member. The
-  names provided when posting Anonymously are in plain text.
+To differentiate between logged-in (registered) commentors and Anonymous
+commentors that pretend to be one person or other one, we use Boldness of
+name. The Comment author is in bold when posted by logged in member. The
+names provided when posting Anonymously are in plain text.
 
-  Notification subject control allows to enter custom prefix to disctinct
-  notifications comming from different sites.
+Notification subject control allows to enter custom prefix to disctinct
+notifications comming from different sites.
+
 
 Usage
---------
+============
 
-  One of possible UseCases:
+One of possible UseCases:
 
   Moderation is enabled and authors notification is turned on.
 
-    * New comment posted in private state.
+    - New comment posted in private state.
 
-    * Notification is sent to the emails entered in Plone Comments configlet.
+    - Notification is sent to the emails entered in Plone Comments configlet.
 
-    * Moderator User with DiscussionManager role see the comment.
+    - Moderator User with DiscussionManager role see the comment.
 
-    * The comment can be deleted or published on modaration stage.
+    - The comment can be deleted or published on modaration stage.
 
-    * When comment is published notification is sent to Article Editor.
+    - When comment is published notification is sent to Article Editor.
+
 
 Links
---------
+============
 
-  * Download releases from Sourceforge.net "Plone Comments project area":http://sf.net/projects/quintagroup
+- Download releases from Sourceforge.net "Plone Comments project area":http://sf.net/projects/quintagroup
 
-  * Get latest development version from "SVN":http://svn.quintagroup.com/products/quintagroup.plonecomments/trunk
+- Get latest development version from "SVN":http://svn.quintagroup.com/products/quintagroup.plonecomments/trunk
+
 
 Requirements
---------
+============
 
-  * Plone 3.x
+- Plone 3.x
 
-  * plone.browserlayer is required for Plone 3.0.x
+- plone.browserlayer is required for Plone 3.0.x
+
 
 License
---------
+============
 
   Please find license in *LICENSE.GPL*.
 
+
 Author
---------
+============
 
   The product is developed and maintained by http://quintagroup.com team.
@@ -101,15 +111,15 @@
   Authors:
 
-    * Volodymyr Cherepanyak
+    - Volodymyr Cherepanyak
 
-    * Andriy Mylenkyy
+    - Andriy Mylenkyy
 
-    * Mykola Kharechko
+    - Mykola Kharechko
 
-    * Vitaliy Stepanov
+    - Vitaliy Stepanov
 
-  Contributors
+  Contributors:
 
-    * Gerry Kirk: product translations improvement and proofreading
+    - Gerry Kirk: product translations improvement and proofreading
 
-    * Dorneles Tremea: code cleanup and generic setup porting
+    - Dorneles Tremea: code cleanup and generic setup porting
Index: /quintagroup.plonecomments/trunk/docs/HISTORY.txt
===================================================================
--- /quintagroup.plonecomments/trunk/docs/HISTORY.txt	(revision 975)
+++ /quintagroup.plonecomments/trunk/docs/HISTORY.txt	(revision 976)
@@ -1,52 +1,55 @@
+=========
 Changelog
 =========
 
-4.0.0 - April 6, 2009
------------------------
+4.0.0 (2009-04-06)
+==================
 
-* Plone 3.* compatibility release
+- Plone 3.* compatibility release
   [liebster]
 
 
-3.2.1 - October 23, 2008 ( Unreleased )
------------------------
+3.2.1 (unreleased)
+==================
 
-* Added uninstall configlet and skins
+- Added uninstall configlet and skins
 
-* Converted a i18n layout to a locales layout
+- Converted a i18n layout to a locales layout
 
 
-3.1.2 - Unreleased
------------------------
+3.1.2 (unreleased)
+==================
 
-* Fixed to use the username as the comment creator. That's necessary whenever
+- Fixed to use the username as the comment creator. That's necessary whenever
   the user is authenticated. This fixes the problems where commenters weren't
   receiving any notifications.
   [deo]
 
-3.1.1 - September 19, 2008
------------------------
 
-* Fixed bug in registration of product also as a package.
+3.1.1 (2008-09-19)
+==================
+
+- Fixed bug in registration of product also as a package.
   [liebster]
 
-3.1.0 - August 28, 2008
------------------------
 
-* Added pt-br translation.
+3.1.0 (2008-08-28)
+==================
+
+- Added pt-br translation.
   [erico_andrei]
 
-* Converted `Extension/Install.py` into a complete GenericSetup profile.
+- Converted ``Extension/Install.py``` into a complete GenericSetup profile.
   [deo]
 
-* Added note about the `browser.layer` dependency for Plone 3.0.x.
+- Added note about the ``browser.layer`` dependency for Plone 3.0.x.
   [deo]
 
-* Updated tests to run with Plone 3.x.
+- Updated tests to run with Plone 3.x.
   [deo]
 
-* General code cleanup and modernization.
+- General code cleanup and modernization.
   [deo]
 
-* Synchronized the discussion templates to match Plone 3.x versions.
+- Synchronized the discussion templates to match Plone 3.x versions.
   [deo]
Index: /quintagroup.plonecomments/trunk/setup.py
===================================================================
--- /quintagroup.plonecomments/trunk/setup.py	(revision 975)
+++ /quintagroup.plonecomments/trunk/setup.py	(revision 976)
@@ -7,5 +7,5 @@
       version=version,
       description="Plone Comments",
-      long_description=open("README.txt").read() + "\n" +
+      long_description=open("README.txt").read() + "\n\n" +
                        open(os.path.join("docs", "HISTORY.txt")).read(),
       # Get more strings from http://www.python.org/pypi?%3Aaction=list_classifiers