Index: /quintagroup.plonecomments/trunk/docs/HISTORY.txt
===================================================================
--- /quintagroup.plonecomments/trunk/docs/HISTORY.txt	(revision 1049)
+++ /quintagroup.plonecomments/trunk/docs/HISTORY.txt	(revision 1050)
@@ -2,4 +2,11 @@
 Changelog
 =========
+
+4.0.1 (unreleased)
+==================
+
+- Fixed links in the email messages.
+  [liebster]
+
 
 4.0.0 (2009-04-06)
Index: /quintagroup.plonecomments/trunk/quintagroup/plonecomments/profiles/default/metadata.xml
===================================================================
--- /quintagroup.plonecomments/trunk/quintagroup/plonecomments/profiles/default/metadata.xml	(revision 1049)
+++ /quintagroup.plonecomments/trunk/quintagroup/plonecomments/profiles/default/metadata.xml	(revision 1050)
@@ -1,4 +1,4 @@
 <?xml version="1.0"?>
 <metadata>
-  <version>4.0.0</version>
+  <version>4.0.1</version>
 </metadata>
Index: /quintagroup.plonecomments/trunk/quintagroup/plonecomments/skins/quintagroup_plonecomments/notify_comment_template.pt
===================================================================
--- /quintagroup.plonecomments/trunk/quintagroup/plonecomments/skins/quintagroup_plonecomments/notify_comment_template.pt	(revision 1049)
+++ /quintagroup.plonecomments/trunk/quintagroup/plonecomments/skins/quintagroup_plonecomments/notify_comment_template.pt	(revision 1050)
@@ -9,5 +9,5 @@
 <tal:notify define="obj nocall:options/obj" 
        i18n:translate="notifycomment_link">
-       Your comment on '<tal:x replace="obj/absolute_url" i18n:name="url"/>' has been
+       Your comment on <tal:x replace="obj/absolute_url" i18n:name="url"/> has been
 published. To see your comment, go to <tal:x replace="obj/absolute_url" i18n:name="url"/>
 </tal:notify>
Index: /quintagroup.plonecomments/trunk/quintagroup/plonecomments/skins/quintagroup_plonecomments/rejected_comment_template.pt
===================================================================
--- /quintagroup.plonecomments/trunk/quintagroup/plonecomments/skins/quintagroup_plonecomments/rejected_comment_template.pt	(revision 1049)
+++ /quintagroup.plonecomments/trunk/quintagroup/plonecomments/skins/quintagroup_plonecomments/rejected_comment_template.pt	(revision 1050)
@@ -10,5 +10,5 @@
 <tal:notify define="obj nocall:options/obj" 
        i18n:translate="notifyreject_link">
-       Your comment on '<tal:x replace="obj/absolute_url" i18n:name="url"/>' did not receive
+       Your comment on <tal:x replace="obj/absolute_url" i18n:name="url"/> did not receive
 approval. Please direct any questions or concerns to <tal:x replace="options/mfrom" i18n:name="mfrom"/>.
 </tal:notify>
Index: /quintagroup.plonecomments/trunk/quintagroup/plonecomments/skins/quintagroup_plonecomments/reply_notify_template.pt
===================================================================
--- /quintagroup.plonecomments/trunk/quintagroup/plonecomments/skins/quintagroup_plonecomments/reply_notify_template.pt	(revision 1049)
+++ /quintagroup.plonecomments/trunk/quintagroup/plonecomments/skins/quintagroup_plonecomments/reply_notify_template.pt	(revision 1050)
@@ -8,5 +8,5 @@
 <tal:notify define="obj nocall:options/obj" 
        i18n:translate="replynotify_link">
-       Someone replied to your comment '<tal:x replace="obj/absolute_url" i18n:name="url"/>' on '<tal:x replace="here/absolute_url" i18n:name="here_url"/>'. To read the response, go to '<tal:x replace="obj/absolute_url" i18n:name="url"/>'.
+       Someone replied to your comment <tal:x replace="obj/absolute_url" i18n:name="url"/> on <tal:x replace="here/absolute_url" i18n:name="here_url"/>. To read the response, go to <tal:x replace="obj/absolute_url" i18n:name="url"/>.
 </tal:notify>
 
Index: intagroup.plonecomments/trunk/quintagroup/plonecomments/tests/output/mail
===================================================================
--- /quintagroup.plonecomments/trunk/quintagroup/plonecomments/tests/output/mail	(revision 1049)
+++ 	(revision )
@@ -1,11 +1,0 @@
-Content-Type: text/plain; charset="utf-8"
-MIME-Version: 1.0
-Content-Transfer-Encoding: base64
-To: discussion.manager@test.com
-Subject: =?utf-8?q?=5BPREFIX=5D_New_comment_awaits_moderation?=
-From: mail@plone.test
-
-CgoKICAgICAgIFBsZWFzZSByZXZpZXcgbmV3IGNvbW1lbnQgYWRkZWQgdG8gdGhlIGZvbGxvd2lu
-ZyBwYWdlICJUZXN0IGRvY3VtZW50IjoKICAgICAgIGh0dHA6Ly9ub2hvc3QvcGxvbmUvTWVtYmVy
-cy9vd25lci9teV9kb2MKCgotLQoKICAgIFBSRUZJWApTdXBwb3J0IFRlYW0KCgo=
-
Index: /quintagroup.plonecomments/trunk/quintagroup/plonecomments/version.txt
===================================================================
--- /quintagroup.plonecomments/trunk/quintagroup/plonecomments/version.txt	(revision 1049)
+++ /quintagroup.plonecomments/trunk/quintagroup/plonecomments/version.txt	(revision 1050)
@@ -1,1 +1,1 @@
-4.0.0
+4.0.1
Index: /quintagroup.plonecomments/trunk/setup.py
===================================================================
--- /quintagroup.plonecomments/trunk/setup.py	(revision 1049)
+++ /quintagroup.plonecomments/trunk/setup.py	(revision 1050)
@@ -2,5 +2,5 @@
 import os
 
-version = '4.0.0'
+version = '4.0.1'
 
 setup(name='quintagroup.plonecomments',