Index: /quintagroup.plonecomments/trunk/quintagroup/plonecomments/locales/de/LC_MESSAGES/quintagroup.plonecomments.po
===================================================================
--- /quintagroup.plonecomments/trunk/quintagroup/plonecomments/locales/de/LC_MESSAGES/quintagroup.plonecomments.po	(revision 1057)
+++ /quintagroup.plonecomments/trunk/quintagroup/plonecomments/locales/de/LC_MESSAGES/quintagroup.plonecomments.po	(revision 1058)
@@ -5,5 +5,5 @@
 msgstr ""
 "Project-Id-Version: PACKAGE VERSION\n"
-"POT-Creation-Date: 2009-03-19 19:42+0000\n"
+"POT-Creation-Date: 2009-05-29 14:53+0000\n"
 "PO-Revision-Date: 2006-12-29 11:01+0100\n"
 "Last-Translator: \n"
@@ -183,10 +183,10 @@
 msgstr "Kommentar"
 
-#. Default: "Your comment on '${url}' has been published. To see your comment, go to ${url}"
+#. Default: "Your comment on ${url} has been published. To see your comment, go to ${url}"
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/notify_comment_template.pt:12
 msgid "notifycomment_link"
 msgstr ""
 
-#. Default: "Your comment on '${url}' did not receive approval. Please direct any questions or concerns to ${mfrom}."
+#. Default: "Your comment on ${url} did not receive approval. Please direct any questions or concerns to ${mfrom}."
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/rejected_comment_template.pt:13
 msgid "notifyreject_link"
@@ -208,5 +208,5 @@
 msgstr "qPloneComment Konfiguration gespeichert."
 
-#. Default: "Someone replied to your comment '${url}' on '${here_url}'. To read the response, go to '${url}'."
+#. Default: "Someone replied to your comment ${url} on ${here_url}. To read the response, go to ${url}."
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/reply_notify_template.pt:10
 msgid "replynotify_link"
Index: /quintagroup.plonecomments/trunk/quintagroup/plonecomments/locales/es/LC_MESSAGES/quintagroup.plonecomments.po
===================================================================
--- /quintagroup.plonecomments/trunk/quintagroup/plonecomments/locales/es/LC_MESSAGES/quintagroup.plonecomments.po	(revision 1057)
+++ /quintagroup.plonecomments/trunk/quintagroup/plonecomments/locales/es/LC_MESSAGES/quintagroup.plonecomments.po	(revision 1058)
@@ -5,5 +5,5 @@
 msgstr ""
 "Project-Id-Version: qPloneComments\n"
-"POT-Creation-Date: 2009-03-19 19:42+0000\n"
+"POT-Creation-Date: 2009-05-29 14:53+0000\n"
 "PO-Revision-Date: 2007-04-19 20:21-0600\n"
 "Last-Translator: Héctor Velarde <hvelarde@jornada.com.mx>\n"
@@ -183,10 +183,10 @@
 msgstr "Comentario"
 
-#. Default: "Your comment on '${url}' has been published. To see your comment, go to ${url}"
+#. Default: "Your comment on ${url} has been published. To see your comment, go to ${url}"
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/notify_comment_template.pt:12
 msgid "notifycomment_link"
 msgstr ""
 
-#. Default: "Your comment on '${url}' did not receive approval. Please direct any questions or concerns to ${mfrom}."
+#. Default: "Your comment on ${url} did not receive approval. Please direct any questions or concerns to ${mfrom}."
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/rejected_comment_template.pt:13
 msgid "notifyreject_link"
@@ -208,5 +208,5 @@
 msgstr "Los cambios en la configuración de qPloneComments fueron guardados."
 
-#. Default: "Someone replied to your comment '${url}' on '${here_url}'. To read the response, go to '${url}'."
+#. Default: "Someone replied to your comment ${url} on ${here_url}. To read the response, go to ${url}."
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/reply_notify_template.pt:10
 msgid "replynotify_link"
Index: /quintagroup.plonecomments/trunk/quintagroup/plonecomments/locales/fr/LC_MESSAGES/quintagroup.plonecomments.po
===================================================================
--- /quintagroup.plonecomments/trunk/quintagroup/plonecomments/locales/fr/LC_MESSAGES/quintagroup.plonecomments.po	(revision 1057)
+++ /quintagroup.plonecomments/trunk/quintagroup/plonecomments/locales/fr/LC_MESSAGES/quintagroup.plonecomments.po	(revision 1058)
@@ -5,5 +5,5 @@
 msgstr ""
 "Project-Id-Version: PACKAGE VERSION\n"
-"POT-Creation-Date: 2009-03-19 19:42+0000\n"
+"POT-Creation-Date: 2009-05-29 14:53+0000\n"
 "PO-Revision-Date: 2006-11-10 08:59-0500\n"
 "Last-Translator: Nicole Turgeon-Courchesne <nicole@motspourmaux.com>\n"
@@ -183,10 +183,10 @@
 msgstr "Commentaire"
 
-#. Default: "Your comment on '${url}' has been published. To see your comment, go to ${url}"
+#. Default: "Your comment on ${url} has been published. To see your comment, go to ${url}"
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/notify_comment_template.pt:12
 msgid "notifycomment_link"
 msgstr ""
 
-#. Default: "Your comment on '${url}' did not receive approval. Please direct any questions or concerns to ${mfrom}."
+#. Default: "Your comment on ${url} did not receive approval. Please direct any questions or concerns to ${mfrom}."
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/rejected_comment_template.pt:13
 msgid "notifyreject_link"
@@ -208,5 +208,5 @@
 msgstr "Changements à la configuration qPloneComments sauvegardés"
 
-#. Default: "Someone replied to your comment '${url}' on '${here_url}'. To read the response, go to '${url}'."
+#. Default: "Someone replied to your comment ${url} on ${here_url}. To read the response, go to ${url}."
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/reply_notify_template.pt:10
 msgid "replynotify_link"
Index: /quintagroup.plonecomments/trunk/quintagroup/plonecomments/locales/it/LC_MESSAGES/quintagroup.plonecomments.po
===================================================================
--- /quintagroup.plonecomments/trunk/quintagroup/plonecomments/locales/it/LC_MESSAGES/quintagroup.plonecomments.po	(revision 1057)
+++ /quintagroup.plonecomments/trunk/quintagroup/plonecomments/locales/it/LC_MESSAGES/quintagroup.plonecomments.po	(revision 1058)
@@ -5,5 +5,5 @@
 msgstr ""
 "Project-Id-Version: qPloneComments\n"
-"POT-Creation-Date: 2009-03-19 19:42+0000\n"
+"POT-Creation-Date: 2009-05-29 14:53+0000\n"
 "PO-Revision-Date: 2007-04-19 20:21-0600\n"
 "Last-Translator: Yuri Carrer <yurj@alfa.it>\n"
@@ -183,10 +183,10 @@
 msgstr "Commento"
 
-#. Default: "Your comment on '${url}' has been published. To see your comment, go to ${url}"
+#. Default: "Your comment on ${url} has been published. To see your comment, go to ${url}"
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/notify_comment_template.pt:12
 msgid "notifycomment_link"
 msgstr ""
 
-#. Default: "Your comment on '${url}' did not receive approval. Please direct any questions or concerns to ${mfrom}."
+#. Default: "Your comment on ${url} did not receive approval. Please direct any questions or concerns to ${mfrom}."
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/rejected_comment_template.pt:13
 msgid "notifyreject_link"
@@ -208,5 +208,5 @@
 msgstr "Cambiamenti della configurazione salvati."
 
-#. Default: "Someone replied to your comment '${url}' on '${here_url}'. To read the response, go to '${url}'."
+#. Default: "Someone replied to your comment ${url} on ${here_url}. To read the response, go to ${url}."
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/reply_notify_template.pt:10
 msgid "replynotify_link"
Index: /quintagroup.plonecomments/trunk/quintagroup/plonecomments/locales/nl/LC_MESSAGES/quintagroup.plonecomments.po
===================================================================
--- /quintagroup.plonecomments/trunk/quintagroup/plonecomments/locales/nl/LC_MESSAGES/quintagroup.plonecomments.po	(revision 1057)
+++ /quintagroup.plonecomments/trunk/quintagroup/plonecomments/locales/nl/LC_MESSAGES/quintagroup.plonecomments.po	(revision 1058)
@@ -4,5 +4,5 @@
 msgstr ""
 "Project-Id-Version: PACKAGE VERSION\n"
-"POT-Creation-Date: 2009-03-19 19:42+0000\n"
+"POT-Creation-Date: 2009-05-29 14:53+0000\n"
 "PO-Revision-Date: 2006-12-29 11:01+0100\n"
 "Last-Translator: Kees Hink\n"
@@ -182,13 +182,13 @@
 msgstr "Opmerking"
 
-#. Default: "Your comment on '${url}' has been published. To see your comment, go to ${url}"
+#. Default: "Your comment on ${url} has been published. To see your comment, go to ${url}"
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/notify_comment_template.pt:12
 msgid "notifycomment_link"
-msgstr "Uw opmerking op '${url}' is gepubliceerd. Ga naar ${url} om de opmerking te bekijken."
-
-#. Default: "Your comment on '${url}' did not receive approval. Please direct any questions or concerns to ${mfrom}."
+msgstr "Uw opmerking op ${url} is gepubliceerd. Ga naar ${url} om de opmerking te bekijken."
+
+#. Default: "Your comment on ${url} did not receive approval. Please direct any questions or concerns to ${mfrom}."
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/rejected_comment_template.pt:13
 msgid "notifyreject_link"
-msgstr "Uw opmerking op '${url}' is niet goedgekeurd. Stuur vragen of opmerkingen hierover aan ${mfrom}."
+msgstr "Uw opmerking op ${url} is niet goedgekeurd. Stuur vragen of opmerkingen hierover aan ${mfrom}."
 
 #. Default: "View new comment added to the following page \"${title}\": ${link}"
@@ -207,8 +207,8 @@
 msgstr ""
 
-#. Default: "Someone replied to your comment '${url}' on '${here_url}'. To read the response, go to '${url}'."
+#. Default: "Someone replied to your comment ${url} on ${here_url}. To read the response, go to ${url}."
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/reply_notify_template.pt:10
 msgid "replynotify_link"
-msgstr "Iemand heeft gereageerd op uw opmerking '${url}' bij '${here_url}'. Ga naar '${url}' om de reactie te lezen."
+msgstr "Iemand heeft gereageerd op uw opmerking ${url} bij ${here_url} . Ga naar ${url} om de reactie te lezen."
 
 #. Default: "${organization_name} Support Team"
Index: /quintagroup.plonecomments/trunk/quintagroup/plonecomments/locales/pt-br/LC_MESSAGES/quintagroup.plonecomments.po
===================================================================
--- /quintagroup.plonecomments/trunk/quintagroup/plonecomments/locales/pt-br/LC_MESSAGES/quintagroup.plonecomments.po	(revision 1057)
+++ /quintagroup.plonecomments/trunk/quintagroup/plonecomments/locales/pt-br/LC_MESSAGES/quintagroup.plonecomments.po	(revision 1058)
@@ -3,5 +3,5 @@
 msgstr ""
 "Project-Id-Version: qPloneComments\n"
-"POT-Creation-Date: 2009-03-19 19:42+0000\n"
+"POT-Creation-Date: 2009-05-29 14:53+0000\n"
 "PO-Revision-Date: 2008-07-18 03:51-0300\n"
 "Last-Translator: Érico Andrei <erico@simplesconsultoria.com.br>\n"
@@ -180,13 +180,13 @@
 msgstr "Comentário"
 
-#. Default: "Your comment on '${url}' has been published. To see your comment, go to ${url}"
+#. Default: "Your comment on ${url} has been published. To see your comment, go to ${url}"
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/notify_comment_template.pt:12
 msgid "notifycomment_link"
-msgstr "Seu comentário em \'${url}\' foi publicado. Para acessá-lo, visite: ${url}"
-
-#. Default: "Your comment on '${url}' did not receive approval. Please direct any questions or concerns to ${mfrom}."
+msgstr "Seu comentário em ${url} foi publicado. Para acessá-lo, visite: ${url}"
+
+#. Default: "Your comment on ${url} did not receive approval. Please direct any questions or concerns to ${mfrom}."
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/rejected_comment_template.pt:13
 msgid "notifyreject_link"
-msgstr "Seu comentário em \'${url}\' não foi aceito. Por favor direcione suas dúvidas e questionamentos para ${mfrom}."
+msgstr "Seu comentário em ${url} não foi aceito. Por favor direcione suas dúvidas e questionamentos para ${mfrom}."
 
 #. Default: "View new comment added to the following page \"${title}\": ${link}"
@@ -205,8 +205,8 @@
 msgstr "Configurações do qPloneComments foram salvas."
 
-#. Default: "Someone replied to your comment '${url}' on '${here_url}'. To read the response, go to '${url}'."
+#. Default: "Someone replied to your comment ${url} on ${here_url}. To read the response, go to ${url}."
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/reply_notify_template.pt:10
 msgid "replynotify_link"
-msgstr "Alguém respondeu ao seu comentário \'${url}\' em \'${here_url}\'. Para ler esta resposta, visite: \'${url}\'."
+msgstr "Alguém respondeu ao seu comentário ${url} em ${here_url}. Para ler esta resposta, visite: ${url}."
 
 #. Default: "${organization_name} Support Team"
Index: /quintagroup.plonecomments/trunk/quintagroup/plonecomments/locales/quintagroup.plonecomments.pot
===================================================================
--- /quintagroup.plonecomments/trunk/quintagroup/plonecomments/locales/quintagroup.plonecomments.pot	(revision 1057)
+++ /quintagroup.plonecomments/trunk/quintagroup/plonecomments/locales/quintagroup.plonecomments.pot	(revision 1058)
@@ -5,5 +5,5 @@
 msgstr ""
 "Project-Id-Version: PACKAGE VERSION\n"
-"POT-Creation-Date: 2009-03-19 19:42+0000\n"
+"POT-Creation-Date: 2009-05-29 14:53+0000\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI +ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
@@ -182,10 +182,10 @@
 msgstr ""
 
-#. Default: "Your comment on '${url}' has been published. To see your comment, go to ${url}"
+#. Default: "Your comment on ${url} has been published. To see your comment, go to ${url}"
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/notify_comment_template.pt:12
 msgid "notifycomment_link"
 msgstr ""
 
-#. Default: "Your comment on '${url}' did not receive approval. Please direct any questions or concerns to ${mfrom}."
+#. Default: "Your comment on ${url} did not receive approval. Please direct any questions or concerns to ${mfrom}."
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/rejected_comment_template.pt:13
 msgid "notifyreject_link"
@@ -207,5 +207,5 @@
 msgstr ""
 
-#. Default: "Someone replied to your comment '${url}' on '${here_url}'. To read the response, go to '${url}'."
+#. Default: "Someone replied to your comment ${url} on ${here_url}. To read the response, go to ${url}."
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/reply_notify_template.pt:10
 msgid "replynotify_link"
Index: /quintagroup.plonecomments/trunk/quintagroup/plonecomments/locales/uk/LC_MESSAGES/quintagroup.plonecomments.po
===================================================================
--- /quintagroup.plonecomments/trunk/quintagroup/plonecomments/locales/uk/LC_MESSAGES/quintagroup.plonecomments.po	(revision 1057)
+++ /quintagroup.plonecomments/trunk/quintagroup/plonecomments/locales/uk/LC_MESSAGES/quintagroup.plonecomments.po	(revision 1058)
@@ -7,5 +7,5 @@
 msgstr ""
 "Project-Id-Version: qPloneComments\n"
-"POT-Creation-Date: 2009-03-19 19:42+0000\n"
+"POT-Creation-Date: 2009-05-29 14:53+0000\n"
 "PO-Revision-Date: 2008-09-22 10:55+0300\n"
 "Last-Translator: Olha <olha.pelishok@gmail.com>\n"
@@ -186,18 +186,18 @@
 msgstr "Коментар"
 
-#. Default: "Your comment on '${url}' has been published. To see your comment, go to ${url}"
+#. Default: "Your comment on ${url} has been published. To see your comment, go to ${url}"
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/notify_comment_template.pt:12
 msgid "notifycomment_link"
-msgstr "Ваш коментар до \\\'${url}\\\' опубліковано. Щоб переглянути його - зайдіть на ${url}"
-
-#. Default: "Your comment on '${url}' did not receive approval. Please direct any questions or concerns to ${mfrom}."
+msgstr "Ваш коментар до ${url} опубліковано. Щоб переглянути його - зайдіть на ${url}"
+
+#. Default: "Your comment on ${url} did not receive approval. Please direct any questions or concerns to ${mfrom}."
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/rejected_comment_template.pt:13
 msgid "notifyreject_link"
-msgstr "Ваш коментар до \\\'${url}\\\' відхилено. Усі питання стосовно цього надсилайте на ${mfrom}."
+msgstr "Ваш коментар до ${url} відхилено. Усі питання стосовно цього надсилайте на ${mfrom}."
 
 #. Default: "View new comment added to the following page \"${title}\": ${link}"
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/published_comment_template.pt:8
 msgid "publishedmail_new_comment_link"
-msgstr "Перегляньте коментар доданий до сторінки \\\" ${title} \\\": ${link}"
+msgstr "Перегляньте коментар доданий до сторінки ' ${title} ': ${link}"
 
 #. Default: "qPloneComments"
@@ -211,8 +211,8 @@
 msgstr "Записано зміни конфігурації qPloneComments."
 
-#. Default: "Someone replied to your comment '${url}' on '${here_url}'. To read the response, go to '${url}'."
+#. Default: "Someone replied to your comment ${url} on ${here_url}. To read the response, go to ${url}."
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/reply_notify_template.pt:10
 msgid "replynotify_link"
-msgstr "Надійшла відповідь на ваш коментар \\\'${url}\\\' до \\\'${here_url}\\\'. Для перегляду  - перейдіть на \\\'${url}\\\'."
+msgstr "Надійшла відповідь на ваш коментар ${url} до ${here_url}. Для перегляду  - перейдіть на ${url}."
 
 #. Default: "${organization_name} Support Team"
Index: /quintagroup.plonecomments/trunk/quintagroup/plonecomments/skins/quintagroup_plonecomments/approve_comment_template.pt
===================================================================
--- /quintagroup.plonecomments/trunk/quintagroup/plonecomments/skins/quintagroup_plonecomments/approve_comment_template.pt	(revision 1057)
+++ /quintagroup.plonecomments/trunk/quintagroup/plonecomments/skins/quintagroup_plonecomments/approve_comment_template.pt	(revision 1058)
@@ -7,5 +7,5 @@
 <tal:new_comment define="obj nocall:options/obj"
        i18n:translate="approvemail_new_comment_link">
-       Please review new comment added to the following page "<tal:x replace="obj/Title" i18n:name="title"/>":
+       Please review new comment added to the following page ' <tal:x replace="obj/Title" i18n:name="title"/> ':
        <tal:link replace="obj/absolute_url" i18n:name="link"/>
 </tal:new_comment>
Index: /quintagroup.plonecomments/trunk/quintagroup/plonecomments/skins/quintagroup_plonecomments/published_comment_template.pt
===================================================================
--- /quintagroup.plonecomments/trunk/quintagroup/plonecomments/skins/quintagroup_plonecomments/published_comment_template.pt	(revision 1057)
+++ /quintagroup.plonecomments/trunk/quintagroup/plonecomments/skins/quintagroup_plonecomments/published_comment_template.pt	(revision 1058)
@@ -5,5 +5,5 @@
 
 <tal:new_comment define="obj nocall:options/obj" i18n:translate="publishedmail_new_comment_link">
-View new comment added to the following page "<tal:x replace="obj/Title" i18n:name="title"/>":
+View new comment added to the following page ' <tal:x replace="obj/Title" i18n:name="title"/> ':
 <tal:x replace="obj/absolute_url" i18n:name="link"/>
 </tal:new_comment>
Index: /quintagroup.plonecomments/trunk/quintagroup/plonecomments/utils.py
===================================================================
--- /quintagroup.plonecomments/trunk/quintagroup/plonecomments/utils.py	(revision 1057)
+++ /quintagroup.plonecomments/trunk/quintagroup/plonecomments/utils.py	(revision 1058)
@@ -99,5 +99,5 @@
     subject = ''
     if state == 'enable_approve_user_notification':
-        subject = 'Your comment on "%s" is now published' % getParent(context).Title()
+        subject = 'Your comment on %s is now published' % getParent(context).Title()
         if user_email:
             template = 'notify_comment_template'
@@ -111,5 +111,5 @@
 
     elif state == 'enable_rejected_user_notification':
-        subject = 'Your comment on "%s" was not approved' % getParent(context).Title()
+        subject = 'Your comment on %s was not approved' % getParent(context).Title()
         if user_email:
             template = 'rejected_comment_template'
@@ -124,5 +124,5 @@
     elif state == 'enable_reply_user_notification':
         template = 'reply_notify_template'
-        subject = 'Someone replied to your comment on "%s"' % getParent(context).Title()
+        subject = 'Someone replied to your comment on %s' % getParent(context).Title()
         di_parrent = getDIParent(reply)
         if di_parrent: