Index: quintagroup.plonecomments/trunk/README.txt
===================================================================
--- quintagroup.plonecomments/trunk/README.txt	(revision 1107)
+++ quintagroup.plonecomments/trunk/README.txt	(revision 1178)
@@ -1,3 +1,2 @@
-============
 Introduction
 ============
@@ -9,45 +8,33 @@
 commenting mechanism in Plone.
 
-.. contents::
-
 
 Features
-============
+--------
 
-- Notify admin about comment posted
+Plone Comments alows to:
 
-- Notify commentator about his comment aproval
+* Notify admin about comment posted
+* Notify commentator about his comment aproval
+* Notify author of parent comment about new follow up added
+* Moderation of comments, approval of comments
+* Anonymous commenting
+* Added Name field to comment form, it is required for anonymous comments
+* Article author can be notified about new comment after the approval by reviewer
+* List of recent comments for more comfortable moderation
 
-- Notify author of parent comment about new follow up added
+Plone Comments Configlet allows:
 
-- Moderation of comments, approval of comments
+* Turning on/off Moderation
+* Turning on/off Manager notification
+* Turning on/off Editor notification
+* Turning on/off Anonymous Commenting
+* Configure admin e-mail for notifications
+* Configure notification subject
 
-- Anonymous commenting
-
-- Added Name field to comment form, it is required for anonymous comments
-
-- Article author can be notified about new comment after the approval by reviewer
-
-- List of recent comments for more comfortable moderation
-
-- Configlet that allow:
-
-  o Turning on/off Moderation
-
-  o Turning on/off Manager notification
-
-  o Turning on/off Editor notification
-
-  o Turning on/off Anonymous Commenting
-
-  o Configure admin e-mail for notifications
-
-  o Configure notification subject
-
-- qPloneCaptcha integrated (needs the qPloneCaptcha to be installed)
+Plone Comments can be integrated with Plone Captchas (requires quintagroup.plonecaptchas to be installed)
 
 
 Notes
-============
+-----
 
 Comments moderation is implemented with involvement of two stage workflow.
@@ -65,61 +52,51 @@
 
 Usage
-============
+-----
 
 One of possible UseCases:
 
-  Moderation is enabled and authors notification is turned on.
+Moderation is enabled and authors notification is turned on.
 
-    - New comment posted in private state.
-
-    - Notification is sent to the emails entered in Plone Comments configlet.
-
-    - Moderator User with DiscussionManager role see the comment.
-
-    - The comment can be deleted or published on modaration stage.
-
-    - When comment is published notification is sent to Article Editor.
+- New comment posted in private state.
+- Notification is sent to the emails entered in Plone Comments configlet.
+- Moderator User with DiscussionManager role see the comment.
+- The comment can be deleted or published on modaration stage.
+- When comment is published notification is sent to Article Editor.
 
 
 Links
-============
+-----
 
-- Download releases from Sourceforge.net "Plone Comments project area":http://sf.net/projects/quintagroup
-
-- Get latest development version from "SVN":http://svn.quintagroup.com/products/quintagroup.plonecomments/trunk
-
+* Get latest development version from "SVN": http://svn.quintagroup.com/products/quintagroup.plonecomments/trunk
+* Watch Plone Comments Screencast (http://quintagroup.com/cms/screencasts/plone-comments) to learn how to install and set up Plone Comments on your buildout-based Plone instance for Plone 3.2 or above. You will also find one of the possible use cases of using Plone Comments Plone add-on included.
+* Watch Plone Comments Use Cases Screencast (http://quintagroup.com/cms/screencasts/plone-comments/use-cases) to learn about integration of Plone Comments with Plone Captchas, see 2 examples of possible use cases: anonymous and registered users commenting. 
 
 Requirements
-============
+------------
 
-- Plone 3.x
-
-- plone.browserlayer is required for Plone 3.0.x
+* Plone 3.x
+* plone.browserlayer is required for Plone 3.0.x
 
 
 License
-============
+-------
 
 Please find license in *LICENSE.GPL*.
 
 
-Author
-============
+Authors
+-------
 
 The product is developed and maintained by http://quintagroup.com team.
 
-  Authors:
+Authors:
 
-    - Volodymyr Cherepanyak
+* Volodymyr Cherepanyak
+* Andriy Mylenkyy
+* Mykola Kharechko
+* Vitaliy Stepanov
 
-    - Andriy Mylenkyy
-
-    - Mykola Kharechko
-
-    - Vitaliy Stepanov
-
-  Contributors:
-
-    - Gerry Kirk: product translations improvement and proofreading
-
-    - Dorneles Tremea: code cleanup and generic setup porting
+Contributors:
+ 
+* Gerry Kirk: product translations improvement and proofreading
+* Dorneles Tremea: code cleanup and generic setup porting