Index: /quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/browser/__init__.py
===================================================================
--- /quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/browser/__init__.py	(revision 1180)
+++ /quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/browser/__init__.py	(revision 1180)
@@ -0,0 +1,1 @@
+#
Index: /quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/browser/configure.zcml
===================================================================
--- /quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/browser/configure.zcml	(revision 1180)
+++ /quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/browser/configure.zcml	(revision 1180)
@@ -0,0 +1,13 @@
+<configure
+    xmlns="http://namespaces.zope.org/zope"
+    xmlns:browser="http://namespaces.zope.org/browser"
+    i18n_domain="quintagroup.dropdownmenu">
+
+  <browser:page
+      name="dropdownmenu-settings"
+      for="Products.CMFPlone.interfaces.IPloneSiteRoot"
+      class=".controlpanel.DropDownMenuSettingsControlPanel"
+      permission="cmf.ManagePortal"
+      />
+
+</configure>
Index: /quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/browser/controlpanel.py
===================================================================
--- /quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/browser/controlpanel.py	(revision 1180)
+++ /quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/browser/controlpanel.py	(revision 1180)
@@ -0,0 +1,14 @@
+from plone.app.registry.browser import controlpanel
+
+from quintagroup.dropdownmenu.interfaces import IDropDownMenuSettings, _
+
+
+class DropDownMenuSettingsEditForm(controlpanel.RegistryEditForm):
+
+    schema = IDropDownMenuSettings
+    label = _(u"DropDown Menu settings")
+    description = _(u"Please enter the options specified")
+
+
+class DropDownMenuSettingsControlPanel(controlpanel.ControlPanelFormWrapper):
+    form = DropDownMenuSettingsEditForm
Index: /quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/configure.zcml
===================================================================
--- /quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/configure.zcml	(revision 1179)
+++ /quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/configure.zcml	(revision 1180)
@@ -6,4 +6,7 @@
   <!-- Include configuration for dependencies listed in setup.py -->
   <includeDependencies package="." />
+
+  <!-- Include internal packages -->
+  <include package="browser" />
 
   <!-- Register the installation GenericSetup extension profile -->
@@ -17,3 +20,12 @@
       />
 
+  <genericsetup:registerProfile
+      name="uninstall"
+      title="Uninstall Plone DropDown Menu"
+      description="Uninstall profile for DropDown Menu Product"
+      directory="profiles/uninstall"
+      provides="Products.GenericSetup.interfaces.EXTENSION"
+      for="Products.CMFPlone.interfaces.IPloneSiteRoot"
+      />
+
 </configure>
Index: /quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/interfaces.py
===================================================================
--- /quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/interfaces.py	(revision 1179)
+++ /quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/interfaces.py	(revision 1180)
@@ -2,5 +2,12 @@
 from zope.interface import Interface
 
+from plone.theme.interfaces import IDefaultPloneLayer
+
 from quintagroup.dropdownmenu import _
+
+
+class IDropDownMenuLayer(IDefaultPloneLayer):
+    """Request marker installed via browserlayer.xml.
+    """
 
 
Index: /quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/menu.txt
===================================================================
--- /quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/menu.txt	(revision 1179)
+++ /quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/menu.txt	(revision 1180)
@@ -9,5 +9,5 @@
 
 This package allows you to adjust a lot of different menu related things via
-/@@dropdownmenu-controlpanel control panel. More on this in
+/@@dropdownmenu-settings control panel. More on this in
 `controlpanel.txt` doc test.
 
Index: /quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/profiles/default/browserlayer.xml
===================================================================
--- /quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/profiles/default/browserlayer.xml	(revision 1180)
+++ /quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/profiles/default/browserlayer.xml	(revision 1180)
@@ -0,0 +1,6 @@
+<layers>
+    <layer
+        name="quintagroup.dropdownmenu"
+        interface="quintagroup.dropdownmenu.interfaces.IDropDownMenuLayer"
+        />
+</layers>
Index: /quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/profiles/default/controlpanel.xml
===================================================================
--- /quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/profiles/default/controlpanel.xml	(revision 1180)
+++ /quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/profiles/default/controlpanel.xml	(revision 1180)
@@ -0,0 +1,20 @@
+<?xml version="1.0"?>
+<object
+    name="portal_controlpanel"
+    xmlns:i18n="http://xml.zope.org/namespaces/i18n"
+    i18n:domain="quintagroup.dropdownmenu"
+    purge="False">
+
+    <configlet
+        title="DropDown Menu"
+        action_id="dropdownmenu"
+        appId="quintagroup.dropdownmenu"
+        category="Products"
+        condition_expr=""
+        url_expr="string:${portal_url}/@@dropdownmenu-settings"
+        visible="True"
+        i18n:attributes="title">
+            <permission>Manage portal</permission>
+    </configlet>
+
+</object>
Index: /quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/profiles/default/registry.xml
===================================================================
--- /quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/profiles/default/registry.xml	(revision 1179)
+++ /quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/profiles/default/registry.xml	(revision 1180)